<?php
namespace Teknisa\FIN\Controllers;

//use Teknisa\Libs\Util\Environment;
use Teknisa\FIN\Services\EvolucaofluxocaixaService;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DataSource\ParameterBag;

class EvolucaofluxocaixaController {

    protected $EvolucaofluxocaixaService;

    public function __construct( EvolucaofluxocaixaService $EvolucaofluxocaixaService ) {
        $this->EvolucaofluxocaixaService = $EvolucaofluxocaixaService;
    }
    
    public function executaEvolucaoFluxoCaixa(DTO\Request $request, DTO\Response $response) {
        $dados = $request->getRow();
        $cdempresa = implode("_", $dados['CDEMPRESA']) ;
        $dtmovfluxo = $dados['DTMOVFLUXO'];
        $this->EvolucaofluxocaixaService->executaEvolucaoFluxoCaixa($cdempresa, $dtmovfluxo);
    }

}