<?php

namespace Teknisa\FIN\Modules\ContaPagar\Controllers;

use Teknisa\FIN\Controllers\TeknisaCrud;
use Zeedhi\Framework\DTO;

class NotafiscalValidAdiantamentoDisp extends TeknisaCrud{
    protected $dataSourceName = 'notafiscal_validadiantamentodisp';
    protected $parameterBagColumns = array(
        'P_TPCDFORNECED',
        'P_TPCDFILIORIG',
    	'P_TPCDFILILANC',
        'P_TPFORMAPAG',
        'P_TPCDTPCTPAGAR',
    	'P_CDFORNECED',
    	'P_DocInicial',
    	'P_DocFinal',
    	'P_CDFILIORIG',
    	'P_CDFILILANC',
    	'P_DATAINI',
    	'P_DATAFIN',
    	'P_FORMAPAG',
    	'P_CDTPCTPAGAR',
    	'P_STATUS',
    	'P_VRINI',
    	'P_VRFIN',
    	'P_CDEMPRESA');

    public function save(DTO\Request $request, DTO\Response $response) {
        $this->dataSourceName = 'notafiscal';
        parent::save($request, $response);
    }
}