var Bco21200_RelacaoSaldosContaCorrente_Controller = function(Bco21200_RelacaoSaldosContaCorrente_Service) {
  
  this.updateContCorrFilter = function(filter) {
    filter.currentRow.CDREDUCONT = [];
    filter.currentRow.CDCONTCORRMASK = [];
    
    if (filter.currentRow.CDEMPRESA instanceof Array)
      if (filter.currentRow.CDEMPRESA.length == 0)
        filter.getField('CDREDUCONT').dataSourceFilter[0].value = 'T';
      else filter.getField('CDREDUCONT').dataSourceFilter[0].value = filter.currentRow.CDEMPRESA.join(" ");
    else filter.getField('CDREDUCONT').dataSourceFilter[0].value = 'T';
  };
  
  this.formatFilterRelacaoSaldo = function(widget, preference) {
    var currentFilter    = preference.FILTER_ROW;
    var dataSourceFilter = Bco21200_RelacaoSaldosContaCorrente_Service.buildDataSourceFilterFromFilterRow(currentFilter);
    
    widget.dataSourceFilter = dataSourceFilter;
    
    widget.dataSourceFilter.push(
        {
          "name": "CDOPERADOR",
          "operator": "=",
          "value": getLocalVar('CDOPERADOR')
        }
    );
    
  };
  
};

Configuration(function (ContextRegister){
    ContextRegister.register('Bco21200_RelacaoSaldosContaCorrente_Controller', Bco21200_RelacaoSaldosContaCorrente_Controller);
});
